Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jms.extensions
Interface XMLMessage

All Superinterfaces:
  Message, TextMessage

    public interface XMLMessage

extends TextMessage

An XMLMessage is used to send a message containing XML content.

See Also:
  `WLSession.createXMLMessage()`, `WLSession.createXMLMessage(String)`, `WLSession.createXMLMessage(Document)`, `TextMessage`

Field Summary

Fields inherited from interface javax.jms.Message
`DEFAULT_DELIVERY_MODE, DEFAULT_PRIORITY, DEFAULT_TIME_TO_LIVE`

Method Summary
`Document` | `getDocument()` Return reference to DOM document for this XML message.
`void` | `setDocument(Document document)` Set the content of the message to the given DOM document.

Methods inherited from interface javax.jms.TextMessage
`getText, setText`

Methods inherited from interface javax.jms.Message
`acknowledge, clearBody, clearProperties, getBooleanProperty, getByteProperty, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setShortProperty, setStringProperty`

Method Detail

### setDocument

    void setDocument(Document document)
                     throws JMSException

  Set the content of the message to the given DOM document.

  Parameters:
    `document` -
  Throws:
    `JMSException` - If the document cannot be serialized

### getDocument

    Document getDocument()
                         throws JMSException

  Return reference to DOM document for this XML message.

  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD